# Gimp.Parasite.get_data

    @accepts(Gimp.Parasite, guint32)
    @returns([str])
    def get_data(self, num_bytes):
        # Python wrapper for gimp_parasite_get_data()

Gets the parasite's data. It may not necessarily be text, nor is it guaranteed to be None-terminated. It is your responsibility to know how to deal with this data. Even when you expect a nul-terminated string, it is advised not to assume the returned data to be, as parasites can be edited by third party scripts. You may end up reading out-of-bounds data. So you should only ignore num_bytes when you all you care about is checking if the parasite has contents.

self

  a Gimp.Parasite

num_bytes

  size of the returned data.

Returns